<div class="modal fade" id="changeAddressesModal" tabindex="-1" role="dialog" aria-labelledby="changeAddressesModalLabel" aria-hidden="true">
    <div class="modal-dialog {#modal-lg#}" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="changeAddressesModalLabel">{{ 'invoice.address.label'|trans({}, 'frontends') }}</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <div class="row">
                    <div class="col">
                        <p class="h5 text-muted">{{ 'invoice.addresses.text'|trans({}, 'frontends') }}</p>
                    </div>
                </div>

                <div id="dv-body-change-address">
                    {% for address in lastAddressesUsed %}

                        <div class='border cls_row_bordered mb-3 cls_address_{{ address.id }}'>

                            <div class='custom-control custom-radio'>
                                <input type='radio' id='modal_change_ch_address_{{ address.id }}' name="modal-change-invoice-address" class='custom-control-input cls_slc_modal_change_address_cer' value='{{ address.id }}'>
                                <label class='custom-control-label' for='modal_change_ch_address_{{ address.id }}'>
                                    <div class='ml-3 cls_address_shipping_body'>
                                        <div class='text-muted'>
                                            {% set companyName = '' %}
                                            {% if address.companyName is defined and address.companyName is not empty %}
                                                {% set companyName = '(' ~ address.companyName ~ ')' %}
                                            {% endif %}

                                            <div>{{ address.firstName ~ ' ' ~ address.lastName ~ ' ' ~ companyName }}</div>
                                            <div>{{ address.streetAddress ~ ' ' ~ address.addressDetail ~ ', ' ~ address.postalCode ~ ', ' ~ address.city ~ ' (' ~ address.stateProvince ~ ')' }}</div>
                                        </div>
                                    </div>
                                </label>
                            </div>

                        </div>

                    {% endfor %}
                </div>
                
                {% set display_manage = false %}
                {% if lastAddressesUsed|length > 10 %}
                    {% set display_manage = true %}
                {% endif %}
                <a id="add-address-on-change-modal" class="text-primary cls-pointer-effect link-create-address-modal" data-toggle="modal" data-target="#saveAddressModal" {{ display_manage ? 'style="display:none;"' }}>
                    <i class="fas fa-plus"></i> {{ 'create.address.title'|trans({}, 'frontends') }}
                </a>
                <a id="manage-addresses-on-change-modal" class="text-primary cls-pointer-effect link-create-address-modal" data-toggle="modal" data-target="#manageAddressesModal" {{ display_manage ? '' : 'style="display:none;"' }}>
                    {{ 'manage.addresses.title'|trans({}, 'frontends') }}
                </a>

                <div class="row mt-3">
                    <div class="col text-right">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">{{ 'cancel.label'|trans({}, 'frontends') }}</button>
                        <button type="button" class="btn btn-primary" id="btn-change-addresses">{{ 'save.and.close'|trans({}, 'frontends') }}</button>
                    </div>
                </div>
            </div>

        </div>
    </div>
</div>